datacache <- new.env(hash=TRUE, parent=emptyenv())

dName_dbconn <- function() dbconn(datacache)
dName_dbfile <- function() dbfile(datacache)
dName_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, 
    file=file, show.indices=show.indices)
dName_dbInfo <- function() dbInfo(datacache)

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    require("PAnnBuilder", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "dName.sqlite", package="dName.db", 
        lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs("DNAME", "dName", datacache, dbconn)    
    mergeToNamespaceAndExport(ann_objs, "dName.db" )
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(dName_dbconn())
}

