\name{dName_dbconn}
\alias{dName_dbconn}
\alias{dName_dbfile}
\alias{dName_dbschema}
\alias{dName_dbInfo}
\title{Collect information about the package annotation DB}
\description{  
  Some convenience functions for getting a connection object to (or collecting 
  information about) the package annotation DB. 
}
\usage{
  dName_dbconn()
  dName_dbfile()
  dName_dbschema(file="", show.indices=FALSE)
  dName_dbInfo()
}
\arguments{ 
  \item{file}{A connection, or a character string naming the file to print to 
    (see the file argument of the cat function for the details). }
  \item{show.indices}{The CREATE INDEX statements are not shown by default. Use 
    show.indices=TRUE to get them. }
}
\details{
  \code{dName_dbconn} returns a connection object to the package annotation DB. 
  IMPORTANT: Don't call \code{\link[DBI]{dbDisconnect}} on the connection object 
  returned by \code{dName_dbconn} or you will break all the 
  \code{\link[AnnotationDbi]{AnnDbObj}} objects defined in this package! 

  \code{dName_dbfile} returns the path (character string) to the package
  annotation DB (this is an SQLite file). 

  \code{dName_dbschema} prints the schema definition of the package annotation
  DB. 

  \code{dName_dbInfo} prints other information about the package annotation
  DB. 
}
\examples{
  ## Show the first three rows.
  dbGetQuery(dName_dbconn(), "select * from kegg limit 3")

  ## The connection object returned by dName_dbconn() was created with:
  dbConnect(SQLite(), dbname=dName_dbfile(), cache_size=64000, synchronous=0)

  dName_dbschema()

  dName_dbInfo()
}
